Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0036602
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Retail Modules] StoreServerminorhave not tried2017-08-04 11:222017-09-14 18:10
ReporterAugustoMauchView Statuspublic 
Assigned ToStoreServer 
PrioritynormalResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision82bf94b11964
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tomtaal
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0036602: Add a process that creates SymmetricDS' snapshots

DescriptionSymmetricDS allows to creates snapshots using the SnapshotUtil.createSnapshot. These snapshots are very useful for debugging purposes, and are required by JumpMind (SymmetricDS owners) in order to report a support ticket.

It would be useful to define a process to create these snapshots. It would be useful if the process could be executed in the Process Request window, so that it can be scheduled or executed once.
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0098395)
hgbot (developer)
2017-08-04 13:40

Repository: erp/pmods/org.openbravo.replication.symmetricds
Changeset: 82bf94b1196475d0bea158c31c7d26fd0b89948c
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Fri Aug 04 13:37:18 2017 +0200
URL: http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/82bf94b1196475d0bea158c31c7d26fd0b89948c [^]

Fixes issue 36602: Adds a process to take SymmetricDS snapshots

The process is called Create SymmetricDS Snapshot, and it is available to be executed from the Process Request window. It takes a SymmetricDS snapshot using the SnapshotUtil.createSnapshot(engine) API, and it stores the snapshot in the <tmpFolder>/<mobileServerKey>/snapshot/<snapshotName> folder.

---
A src-db/database/sourcedata/AD_PROCESS.xml
A src/org/openbravo/replication/symmetricds/process/SymmetricDsSnapshotCreator.java
---
(0098522)
mtaal (manager)
2017-08-16 11:53

Reviewed, works fine, re-opening to add documentation (link)
(0098797)
AugustoMauch (developer)
2017-09-04 10:39

Documentation has been added here: http://wiki.openbravo.com/wiki/Retail:Store_Server#How_to_take_a_SymmetricDS_Snapshot [^]
(0099052)
mtaal (manager)
2017-09-14 18:10

Docs have been added

- Issue History
Date Modified Username Field Change
2017-08-04 11:22 AugustoMauch New Issue
2017-08-04 11:22 AugustoMauch Assigned To => StoreServer
2017-08-04 11:22 AugustoMauch Triggers an Emergency Pack => No
2017-08-04 13:40 hgbot Checkin
2017-08-04 13:40 hgbot Note Added: 0098395
2017-08-04 13:40 hgbot Status new => resolved
2017-08-04 13:40 hgbot Resolution open => fixed
2017-08-04 13:40 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.replication.symmetricds/rev/82bf94b1196475d0bea158c31c7d26fd0b89948c [^]
2017-08-04 13:43 AugustoMauch Review Assigned To => mtaal
2017-08-16 11:53 mtaal Note Added: 0098522
2017-08-16 11:53 mtaal Status resolved => new
2017-08-16 11:53 mtaal Resolution fixed => open
2017-09-04 10:39 AugustoMauch Note Added: 0098797
2017-09-12 18:15 AugustoMauch Status new => scheduled
2017-09-12 18:15 AugustoMauch Status scheduled => resolved
2017-09-12 18:15 AugustoMauch Resolution open => fixed
2017-09-14 18:10 mtaal Note Added: 0099052
2017-09-14 18:10 mtaal Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker